LinRegCurve <-
  function(X,
           Y,
           RowNames,
           Xlab = "",
           Ylab = "",
           Titl = "",
           folder = "") {
    
    
    ## make linear regression curves
    Correlation <- cor(X, Y, method = "pearson")
    eq <-
      paste("R", "=", as.character(format(round(Correlation, 2), nsmall = 2)))
    Cor <- cbind.data.frame(X, Y)
    rownames(Cor) <- RowNames
    
    ggplot(data = Cor, aes(x = Cor[, 1], y = Cor[, 2])) +
      geom_point(size = 0.8, color = 'black') +
      geom_smooth(
        method = 'lm',
        se = FALSE,
        color = 'grey50',
        size = 0.5
      ) +
      geom_text_repel(
        label = rownames(Cor),
        size = 2.5,
        color = 'black',
        max.overlaps = Inf
      ) +
      theme(
        panel.border = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.background = element_blank(),
        axis.line = element_line(colour = "black"),
        axis.text = element_text(size = 5),
        axis.title = element_text(size = 7),
        title = element_text(size = 7)
      ) +
      xlab(Xlab) +
      ylab(Ylab) +
      labs(title = as.character(eq))
    ggsave(
      filename = paste0(output.dir, folder,
                        Titl,
                        ".png"),
      dpi = 300,
      height = 50,
      width = 50,
      units = "mm"
    )
    
    
  }