LinRegCurveExcl <-
  function(X,
           Y,
           RowNames,
           Xlab = "",
           Ylab = "",
           Titl = "",
           folder = "",
           excl = "") {
    ## make linear regression curves with removal of certain certain beers
    X <- as.data.frame(X)
    Y <- as.data.frame(Y)
    rownames(X) <- RowNames
    rownames(Y) <- RowNames
    Correlation <- cor(X, Y, method = "pearson")
    CorrelationExcl <-
      cor(X[-grep(excl, rownames(X)), ], Y[-grep(excl, rownames(X)), ], method =
            "pearson")
    eq <-
      paste("R", "=", as.character(format(round(Correlation, 2), nsmall = 2)))
    eqExcl <-
      paste("R", "=", as.character(format(round(
        CorrelationExcl, 2
      ), nsmall = 2)))
    Cor <- cbind.data.frame(X, Y)
    rownames(Cor) <- RowNames
    CorExcl <- Cor[-grep(excl, rownames(Cor)), ]
    
    
    ggplot(data = Cor, aes(x = Cor[, 1], y = Cor[, 2])) +
      geom_point(size = 0.8, color = 'black') +
      geom_smooth(
        method = 'lm',
        se = FALSE,
        color = 'grey50',
        size = 0.5
      ) +
      geom_smooth(
        data = CorExcl,
        aes(x = CorExcl[, 1], y = CorExcl[, 2]),
        method = 'lm',
        se = FALSE,
        color = 'blue',
        size = 0.5
      ) +
      geom_text_repel(
        label = rownames(Cor),
        size = 2.5,
        color = 'black',
        # bg.color = 'black',
        max.overlaps = Inf
      ) +
      labs(title = as.character(eq),
           subtitle = paste0(as.character(eqExcl), " (exluding ", excl, ")")) +
      theme(
        panel.border = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.background = element_blank(),
        axis.line = element_line(colour = "black"),
        axis.text = element_text(size = 5),
        axis.title = element_text(size = 7),
        plot.title = element_text(size = 7, colour = "grey50"),
        plot.subtitle = element_text(size = 7, colour = 'blue')
      ) +
      xlab(Xlab) +
      ylab(Ylab)
    ggsave(
      filename = paste0(output.dir, folder,
                        Titl,
                        ".png"),
      dpi = 300,
      height = 50,
      width = 50,
      units = "mm"
    )
    
    
  }